Subject: osmo-bts.git branch jolly/l1sap_parts updated. 0.3.0-169-g9d888fb
From: [email-masked]
To: [email-masked]
Date: Sun, 6 Apr 2014 07:05:55 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom BTS-side code (Abis, scheduling, ...)".

The branch, jolly/l1sap_parts has been updated
  discards  5ca16b25f27973fa5db25f4aa0dcd40e6d1cfa93 (commit)
  discards  07cb3b67dd92d7d4d53ee4a6d9d8d5225f757404 (commit)
  discards  68f934d1e26fe26d1959d938c04256916365f576 (commit)
  discards  9dfb6f926b7b8d7b069c1fb2cc93cdda6820bc22 (commit)
  discards  9a2680f11f0d48c0c53c0efe6da1a7749db33457 (commit)
  discards  d23c7d121e41f51fab2bfb7cc7cbe24a87074f4c (commit)
  discards  79ed1c7f427b321cb11575d39ca3c0a6a1cc4d23 (commit)
  discards  a0c02340f2b355cafbb18e89c4a0bb717f4e273c (commit)
  discards  e7534e06bb03d16b9650e9b55d81eb26c7a2b5c9 (commit)
  discards  7f33677221ebbc01aede4822178894155f67e391 (commit)
  discards  26bff3b2d4cded10b8f9ac9a78c6393ee4a40f48 (commit)
  discards  391226e0b0e924c2934a0c080dedac270b041b19 (commit)
  discards  2990f30ec0df9d46ddf779172eb95d2163ffcea2 (commit)
  discards  b84aabda82b82219a2e8ad9fe5aa4263116fd5d6 (commit)
  discards  fab7195365b3ed69d42f3e491b8f1aadf2b4386c (commit)
  discards  7542270653f18863cd7315e251365e2cd1677beb (commit)
  discards  372696bb24b0f14b86f05e416c00c41bebc4d39d (commit)
  discards  d1f0a87156fc40105880a89241029a9d590b46b0 (commit)
  discards  73b4b4eb65cfdcda2ad8f1317e6f908f7a3da231 (commit)
  discards  498c9916a45c19bc847bcbe7e1845f9be17a6bd5 (commit)
       via  9d888fbbf8c720471b238a837fd729f9bf7b7373 (commit)
       via  d36427dcd546200f6de888fdd1973ad5395fef85 (commit)
       via  6516d10f2e9b674f8f8f8e6917bec1e7fcf6760b (commit)
       via  acf314967d0a36f7f55c74c028281967c60e7eb6 (commit)
       via  c157385ae83e9ecaf0428df172b6223b8e781b0b (commit)
       via  9bfbead29b93fa513592b70eb92a3c6408ea0f3a (commit)
       via  84aca855369f752e9cc4962d7f585493a297131a (commit)
       via  72bf2ff58758d3318a9cb565a24fb2dd71908547 (commit)
       via  aef093daaaf48affddba4b012acdfc73d6ddc2c7 (commit)
       via  a74d52c7b0b3193ad04726f8de6cb90671e2a03e (commit)
       via  f547208312a17985c8af1739db5ba087ed38fb17 (commit)
       via  144438c3e84b07ecee7b317d0ea94a71606b602e (commit)
       via  15b36c1f27c74003bd7a1405ee69038b2c261468 (commit)
       via  f8745b80e9e4f4e0f4fc002017f13008074018f2 (commit)
       via  f76287d9df15c408cd7c08c8c982b46c898749f6 (commit)
       via  639eb730e5a007ae69cd8d389c990e22f92057dc (commit)
       via  05ea21a82c05be3cff91fc7c78443df9c4105c67 (commit)
       via  9fd99a92752cc3d173ca3a2107b564bd78606338 (commit)
       via  c801b1f9d53ec19a9a430add72c5d27646307647 (commit)
       via  cf638a3a791ee286e754cb1e43ffd4d65348a155 (commit)
       via  499a738a69180fc9495fa816dbda674ec00a0efc (commit)
       via  57a4d121c4d756f1e97c75d85a7799db751e9f75 (commit)
       via  0859795878783f5b07fecb1404b2d0eacb17d208 (commit)
       via  14ff9255553f42bada7b042945e86d6b575b28b2 (commit)
       via  64a4327c34568628d5eb9bfc63fdcf88f60e1c3f (commit)
       via  a276b9823627fcc3279bd005cc64f63edbeb4819 (commit)
       via  71d98050f38840f61d37ddb5f7e4efd5d5f0bab4 (commit)
       via  83dc54fb95af692a74f749335a9ee9b2b49dc1b9 (commit)
       via  ae2473c2ca07cf5173a3dab22bc64e7b135ef848 (commit)
       via  fb067905d5e4feb73a41556b798640a8b0f01b77 (commit)
       via  3e317ea4f06c84393c4630aa963b8e751c0fa201 (commit)
       via  b45c8a6b6cf07ddcd60d8e5b53827be4658706f2 (commit)
       via  2dca8f37e5d44802221abb4d6fd31ec51fb9921a (commit)
       via  4b614a0246ef3952407e86a89df7a437704275d1 (commit)
       via  bd267843623dcc7c757b8b2e2d8dad22121f0e14 (commit)
       via  4e3aa9368195110f4de1791587f309846a3c5941 (commit)
       via  06387d89e860978511ac5383a6c5a9837b103d1c (commit)
       via  e030dfd443f50803835e6525265cdf6a378e334a (commit)
       via  21104720f790eac667f73f012863a59ecbeb58d1 (commit)
       via  b26b8fc77692e851469f3e27b9aeaeff233ffd2e (commit)
       via  9c4a52444459819af9d72bb6a82954b8b06ff0ef (commit)
       via  bb76d816da905e8da5948b466f7a3d2b5aff30e8 (commit)
       via  cfce4d65f212de92a664f6400e38921ba70dcd36 (commit)
       via  00b4e064ffc4c4bb2863c1f8ce40e4e1e1bbbbff (commit)
       via  8ade45e795d1ee531423d529dfa2c441ece1196a (commit)
       via  3058854535f08e12f6d8dd4f35490ecef40b3040 (commit)
       via  a37e239961010db751eb698971d57e22c0a12485 (commit)
       via  d863f9cbeaac2b16a226021bc9817e51550a3329 (commit)
       via  4fcda92d7be7dd2df1870156206fea30cd02d3cc (commit)
       via  0148d4e7d537e745bb5c6dd014ff5582fc091caa (commit)
       via  fae0149260f084c55fb943559a3ebd72fc96643f (commit)
       via  7503540959f421917a702174616655e9fdd11a24 (commit)
       via  2d725e77f7270550d7173a7c86f30aa1c7b01e5e (commit)
       via  35a8144e41157b0a7304e7a0fd46a0e5a0dda287 (commit)
       via  4fbe06b3f27c678c2cba7339dc1ea3754ec0609e (commit)
       via  20f542280330d1181d04ea34ef876358f710d6c8 (commit)
       via  e5bda88c9d7ccfdd7941ba5270701e9f5449e348 (commit)
       via  5030972316892019a62423dfb9bd26ad158cda5a (commit)
       via  fcd4026e7b48942e31d0efaa7f091e4ae50a8e1a (commit)
       via  f550a6a5748280e9c9841e7a56a0c99b022d84a8 (commit)
       via  d290ee029a827c870f97372b98f0dbd7d057402a (commit)
       via  d242ec2ed909e58d8f3905b185a1b1e14806f7da (commit)
       via  37c332e5bfdb9591a1cd3cc6746afffdb1cd13b9 (commit)
       via  bbfd21a36cdd10c3b8d83a329042d9ebfb4c5250 (commit)
       via  4160e3d0f8de39954f107c03461e9594a61d4975 (commit)
       via  2755f6e5b42d67c34de84af0fb0b6641c4249317 (commit)
       via  572ed461b687809cae58596e2afcb66f8826779d (commit)
       via  1375a4b15316f2971dae284fff4ab6697c79621d (commit)
       via  f91799eecfbe03d9edd906b5834bf3f952359d0a (commit)
       via  023739fc94af2be7e2f70f26dea92d9f0c250efb (commit)
       via  1817447c24e3919981b253c4b9de32b2252844b4 (commit)
       via  2e93a8683ca5f644d365380ef55d657598af6c7f (commit)
       via  bc7d6fbdbb4413b3594e305cd4b0389ac78fb2cf (commit)
       via  bc48e26fc91e0a24ec571904d1fab6dd351a5d48 (commit)
       via  8196de46ad4886afd3e3c6068e491b8132c5c16f (commit)
       via  3c8ff3c70bc52d0a1d75a1e6b87b0069d92f10f9 (commit)
       via  15bc64c6cd7d01be6c5e5aca2eca9e01ee4e099e (commit)
       via  06c098e2cb368c5efdd770f293ca52a712f6221d (commit)
       via  d76211dc3b4cb1c58d3ca2ab28933a488091e950 (commit)
       via  5899b2d3467e59463606edca9c7407126ebd3218 (commit)
       via  1881e46cb9b7006ddaa66943bc95444766817abb (commit)
       via  810fbff380b6274bc739151a6dbe0be2bfde6ec3 (commit)
       via  19224b4b9b6767dedabfbcbcf41b9eab94b852f9 (commit)
       via  3e110ae14101e60edc00803131165f11d4212db1 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (5ca16b25f27973fa5db25f4aa0dcd40e6d1cfa93)
            \
             N -- N -- N (9d888fbbf8c720471b238a837fd729f9bf7b7373)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-bts/commit/?id=9d888fbbf8c720471b238a837fd729f9bf7b7373

commit 9d888fbbf8c720471b238a837fd729f9bf7b7373
Author: Andreas Eversberg <[email-masked]>
Date:   Fri Apr 4 14:11:33 2014 +0200

    Move detection of handover frames from sysmo-bts code to common code

http://cgit.osmocom.org/osmo-bts/commit/?id=d36427dcd546200f6de888fdd1973ad5395fef85

commit d36427dcd546200f6de888fdd1973ad5395fef85
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 12:30:52 2013 +0200

    Remove obsolete gsmtap handling from osmo-bts-sysmo part.

http://cgit.osmocom.org/osmo-bts/commit/?id=6516d10f2e9b674f8f8f8e6917bec1e7fcf6760b

commit 6516d10f2e9b674f8f8f8e6917bec1e7fcf6760b
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Jun 16 15:09:56 2013 +0200

    sysmobts: Forward CMR from L1 (Phone) to RTP payload

http://cgit.osmocom.org/osmo-bts/commit/?id=acf314967d0a36f7f55c74c028281967c60e7eb6

commit acf314967d0a36f7f55c74c028281967c60e7eb6
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 12:06:19 2013 +0200

    Add gsmtap option to command line to main.c of osmo-bts-sysmo

http://cgit.osmocom.org/osmo-bts/commit/?id=c157385ae83e9ecaf0428df172b6223b8e781b0b

commit c157385ae83e9ecaf0428df172b6223b8e781b0b
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 12:04:49 2013 +0200

    Move gsmtap VTY commands from osmo-bts-sysmo to common part

http://cgit.osmocom.org/osmo-bts/commit/?id=9bfbead29b93fa513592b70eb92a3c6408ea0f3a

commit 9bfbead29b93fa513592b70eb92a3c6408ea0f3a
Author: Andreas Eversberg <[email-masked]>
Date:   Mon Jul 29 09:45:22 2013 +0200

    Send primitives at PH-/MPH-/TCH-SAP interface via GSMTAP

http://cgit.osmocom.org/osmo-bts/commit/?id=84aca855369f752e9cc4962d7f585493a297131a

commit 84aca855369f752e9cc4962d7f585493a297131a
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 11:57:07 2013 +0200

    Move loopback control VTY commands from osmo-bts-sysmo to common part

http://cgit.osmocom.org/osmo-bts/commit/?id=72bf2ff58758d3318a9cb565a24fb2dd71908547

commit 72bf2ff58758d3318a9cb565a24fb2dd71908547
Author: Andreas Eversberg <[email-masked]>
Date:   Thu Feb 14 11:17:58 2013 +0100

    Correctly fill system information messages from BSC
    
    SI 5*/6 require L2 header of 0x03,0x03. All SI might be less than 23
    octets, so they need to be filled with 0x2b.

http://cgit.osmocom.org/osmo-bts/commit/?id=aef093daaaf48affddba4b012acdfc73d6ddc2c7

commit aef093daaaf48affddba4b012acdfc73d6ddc2c7
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Jun 16 13:26:14 2013 +0200

    sysmobts: Clean up transitions for lchan cipher state
    
    There are three transitions:
    
    1. LCHAN_CIPH_NONE -> LCHAN_CIPH_RX_REQ -> LCHAN_CIPH_RX_CONF
    
    It is used to enable ciphering in RX (uplink) direction only.
    
    2. LCHAN_CIPH_RX_CONF -> LCHAN_CIPH_RX_CONF_TX_REQ -> LCHAN_CIPH_RXTX_CONF
    
    It is used to additionally enable ciphering in TX (downlink) direction.
    
    3. LCHAN_CIPH_NONE -> LCHAN_CIPH_RXTX_REQ -> LCHAN_CIPH_RX_CONF_TX_REQ
       -> LCHAN_CIPH_RXTX_CONF
    
    It is used to enable ciphering in both TX and RX directions. This is used
    when the channel is activated with encryption already enabled. (assignment
    or handover)
    
    In order to follow the order of these transitions, the RX direction must
    always be set before the TX direction.
    
    If no cipher key is set (A5/0), ciphering is set to ALG 0, but lchan cipher
    state remains at LCHAN_CIPH_NONE.

http://cgit.osmocom.org/osmo-bts/commit/?id=a74d52c7b0b3193ad04726f8de6cb90671e2a03e

commit a74d52c7b0b3193ad04726f8de6cb90671e2a03e
Author: Andreas Eversberg <[email-masked]>
Date:   Sat Aug 31 20:30:40 2013 +0200

    Add MEAS (MPH_INFO) IND message to PH-/MPH-/TCH-SAP interface
    
    This part moves processing of measurement infos from osmo-bts-sysmo to
    common part.

http://cgit.osmocom.org/osmo-bts/commit/?id=f547208312a17985c8af1739db5ba087ed38fb17

commit f547208312a17985c8af1739db5ba087ed38fb17
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 11:09:20 2013 +0200

    Add SDCCH/SACCH/FACCH messages to PH-/MPH-/TCH-SAP interface
    
    This part moves control channel message primitives from osmo-bts-sysmo to
    common part.
    
    In order to control ciphering fo BTS model, CIPHER (MPH_INFO) messages are
    used.

http://cgit.osmocom.org/osmo-bts/commit/?id=144438c3e84b07ecee7b317d0ea94a71606b602e

commit 144438c3e84b07ecee7b317d0ea94a71606b602e
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 10:08:15 2013 +0200

    Add TCH messages to PH-/MPH-/TCH-SAP interface
    
    This part moves TCH handling from osmo-bts-sysmo to common part. The RTP
    handling is done at the common part, so they can be used by other BTS
    models.

http://cgit.osmocom.org/osmo-bts/commit/?id=15b36c1f27c74003bd7a1405ee69038b2c261468

commit 15b36c1f27c74003bd7a1405ee69038b2c261468
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 09:19:45 2013 +0200

    Move chan act/rel/modify from bts_model to PH-/MPH-/TCH-SAP interface
    
    This part replaces channel activation/deactivation/modification routines
    by MPH_INFO messages.

http://cgit.osmocom.org/osmo-bts/commit/?id=f8745b80e9e4f4e0f4fc002017f13008074018f2

commit f8745b80e9e4f4e0f4fc002017f13008074018f2
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Sep 1 09:02:24 2013 +0200

    Relace bts_model_get_time() by get_time() at common part

http://cgit.osmocom.org/osmo-bts/commit/?id=f76287d9df15c408cd7c08c8c982b46c898749f6

commit f76287d9df15c408cd7c08c8c982b46c898749f6
Author: Andreas Eversberg <[email-masked]>
Date:   Sat Aug 31 19:49:12 2013 +0200

    Add TIME (MPH_INFO) IND messages to PH-/MPH-/TCH-SAP interface
    
    This part moves GSM time handling from osmo-bts-sysmo part to common part.

http://cgit.osmocom.org/osmo-bts/commit/?id=639eb730e5a007ae69cd8d389c990e22f92057dc

commit 639eb730e5a007ae69cd8d389c990e22f92057dc
Author: Andreas Eversberg <[email-masked]>
Date:   Fri Aug 30 08:48:38 2013 +0200

    Add PDCH messages to PH-/MPH-/TCH-SAP interface
    
    This part moves PDTCH, PACCH and PTCCH message primitives from
    osmo-bts-sysmo to common part.

http://cgit.osmocom.org/osmo-bts/commit/?id=05ea21a82c05be3cff91fc7c78443df9c4105c67

commit 05ea21a82c05be3cff91fc7c78443df9c4105c67
Author: Andreas Eversberg <[email-masked]>
Date:   Fri Aug 30 08:03:09 2013 +0200

    Add PCH/AGCH message to PH-/MPH-/TCH-SAP interface
    
    This part moves PCH and AGCH message primitives from osmo-bts-sysmo to
    common part.

http://cgit.osmocom.org/osmo-bts/commit/?id=9fd99a92752cc3d173ca3a2107b564bd78606338

commit 9fd99a92752cc3d173ca3a2107b564bd78606338
Author: Andreas Eversberg <[email-masked]>
Date:   Fri Aug 30 07:46:30 2013 +0200

    Add RACH message to PH-/MPH-/TCH-SAP interface
    
    This part moves RACH message primitives from osmo-bts-sysmo to common
    part.

http://cgit.osmocom.org/osmo-bts/commit/?id=c801b1f9d53ec19a9a430add72c5d27646307647

commit c801b1f9d53ec19a9a430add72c5d27646307647
Author: Andreas Eversberg <[email-masked]>
Date:   Mon Jul 29 09:42:23 2013 +0200

    Add BCCH message to PH-/MPH-/TCH-SAP interface
    
    This first part moves BCCH message primitives from osmo-bts-sysmo to common
    part. A new file "common/l1sap.c" is introduced to implement handling of
    layer 1 messages from/to BTS model.

http://cgit.osmocom.org/osmo-bts/commit/?id=cf638a3a791ee286e754cb1e43ffd4d65348a155

commit cf638a3a791ee286e754cb1e43ffd4d65348a155
Author: Andreas Eversberg <[email-masked]>
Date:   Mon Jul 29 09:37:07 2013 +0200

    Add header file of PH-/MPH-/TCH-SAP interface to common part of osmo-bts
    
    Instead of handling primitives directly at layer 1 specific code,
    osmo-bts handles primitives at common code.
    
    When all primitive are moved, the l1sap interface will:
    - receive PH-DATA indications and forward them to layer 2.
    - check for RF link loss and notify BSC.
    - receive TCH indications and forward them via RTP.
    - receive PH-RTS indications and send PH-DATA requests with content
      according to its logical channel.
    - receive TCH-RTS indications and send TCH requests with content
      received via RTP or loopback from TCH indications.
    - send MPH-INFO requests to activate, deactivate and modify logical
      channels and handle their confirms.
    - receive MPH-INFO indications with measurements from tranceiver.
    - forward received and transmitted PH-DATA to GSMTAP.

http://cgit.osmocom.org/osmo-bts/commit/?id=499a738a69180fc9495fa816dbda674ec00a0efc

commit 499a738a69180fc9495fa816dbda674ec00a0efc
Author: Andreas Eversberg <[email-masked]>
Date:   Sun Jul 28 11:48:40 2013 +0200

    sysmo-bts: Use correct boundaries of L1 msg when forwarding to L1 proxy
    
    In case of a headroom in a message, the 'head' pointer will not point to
    the actual data.

-----------------------------------------------------------------------

Summary of changes:
 .gitignore                                         |   8 +
 configure.ac                                       |  14 +
 contrib/screenrc-sysmobts                          |   1 +
 contrib/sysmobts-calib/Makefile                    |   2 +-
 contrib/sysmobts-mgr.service                       |  12 +
 contrib/sysmobts.service                           |   3 +-
 include/osmo-bts/Makefile.am                       |   4 +-
 include/osmo-bts/bts.h                             |   4 +
 include/osmo-bts/bts_model.h                       |   2 +-
 include/osmo-bts/gsm_data.h                        |  21 ++
 include/osmo-bts/handover.h                        |  12 +
 include/osmo-bts/l1sap.h                           |   2 +-
 include/osmo-bts/logging.h                         |   1 +
 include/osmo-bts/paging.h                          |   3 +-
 include/osmo-bts/rsl.h                             |   1 +
 src/common/Makefile.am                             |   2 +-
 src/common/abis.c                                  |   2 +
 src/common/bts.c                                   | 360 ++++++++++++++++++++-
 src/common/handover.c                              | 158 +++++++++
 src/common/l1sap.c                                 |  86 +++--
 src/common/logging.c                               |   6 +
 src/common/oml.c                                   |  36 ++-
 src/common/paging.c                                |  11 +-
 src/common/pcu_sock.c                              |   9 +-
 src/common/rsl.c                                   |  52 ++-
 src/common/vty.c                                   |  53 +++
 src/osmo-bts-sysmo/Makefile.am                     |  18 +-
 src/osmo-bts-sysmo/femtobts.c                      |   1 +
 src/osmo-bts-sysmo/l1_fwd_main.c                   |  11 +
 src/osmo-bts-sysmo/l1_if.c                         | 159 +++++----
 src/osmo-bts-sysmo/l1_if.h                         |   5 +-
 src/osmo-bts-sysmo/main.c                          |   2 +-
 src/osmo-bts-sysmo/misc/sysmobts_mgr.c             | 266 +++++++++++++--
 src/osmo-bts-sysmo/misc/sysmobts_mgr.h             |   1 +
 src/osmo-bts-sysmo/misc/sysmobts_misc.c            | 292 ++++++++++++++++-
 src/osmo-bts-sysmo/misc/sysmobts_misc.h            |  29 +-
 src/osmo-bts-sysmo/misc/sysmobts_nl.c              | 120 +++++++
 .../lchan.c => osmo-bts-sysmo/misc/sysmobts_nl.h}  |  13 +-
 src/osmo-bts-sysmo/oml.c                           | 136 +++++++-
 tests/Makefile.am                                  |   2 +-
 tests/{paging => agch}/Makefile.am                 |   8 +-
 tests/agch/agch_test.c                             | 248 ++++++++++++++
 tests/agch/agch_test.ok                            |  23 ++
 tests/paging/paging_test.c                         |  17 +-
 tests/stubs.c                                      |   4 +-
 tests/testsuite.at                                 |  10 +-
 46 files changed, 2049 insertions(+), 181 deletions(-)
 create mode 100644 contrib/sysmobts-mgr.service
 create mode 100644 include/osmo-bts/handover.h
 create mode 100644 src/common/handover.c
 create mode 100644 src/osmo-bts-sysmo/misc/sysmobts_nl.c
 copy src/{common/lchan.c => osmo-bts-sysmo/misc/sysmobts_nl.h} (77%)
 copy tests/{paging => agch}/Makefile.am (61%)
 create mode 100644 tests/agch/agch_test.c
 create mode 100644 tests/agch/agch_test.ok

hooks/post-receive
-- 
Osmocom BTS-side code (Abis, scheduling, ...)